[389-commits] esc/win32 coolkey-64-info-before.txt, NONE, 1.1.2.1 coolkey-64.iss, NONE, 1.1.2.1 build.sh, 1.11, 1.11.2.1

Jack Magne jmagne at fedoraproject.org
Thu Oct 8 23:40:55 UTC 2009


Author: jmagne

Update of /cvs/dirsec/esc/win32
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv26450

Modified Files:
      Tag: PKI_8_0_RTM_BRANCH
	build.sh 
Added Files:
      Tag: PKI_8_0_RTM_BRANCH
	coolkey-64-info-before.txt coolkey-64.iss 
Log Message:
#514341 simple changes to compile 64 bit installer.


--- NEW FILE coolkey-64-info-before.txt ---
This installation program will install the following:

1. The PKCS #11 module needed for Smart Cards.
2. The CAPI driver for Smart Cards.


--- NEW FILE coolkey-64.iss ---
; Script generated by the Inno Setup Script Wizard.
; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!

[Setup]
AppName=Coolkey
AppId=Coolkey
AppVerName=Coolkey 1.0.0-1
AppPublisher=Red Hat
CreateAppDir=true
Compression=lzma
SolidCompression=true
MinVersion=0,5.0.2195
ShowLanguageDialog=yes
OutputBaseFilename=CoolkeySetup-1.0.0-1.win64.x64
DefaultDirName={pf}\Red Hat\Coolkey
DisableProgramGroupPage=false
DefaultGroupName=Red Hat
SetupIconFile=..\src\app\xpcom\tray\esc.ico
UninstallDisplayIcon={app}\esc.ico
WizardSmallImageFile=..\src\app\xpcom\tray\esc.bmp
AllowNoIcons=yes
LicenseFile=esc-license.txt
InfoBeforeFile=coolkey-64-info-before.txt
PrivilegesRequired=admin
VersionInfoVersion=1.0.0.1
ArchitecturesAllowed=x64
ArchitecturesInstallIn64BitMode=x64

[Files]
Source: BUILD\regcerts.exe; DestDir: {app}
Source: ..\src\app\xpcom\tray\esc.ico; DestDir: {app}
Source: BUILD\clkcsp.dll; DestDir: {sys}; Flags: restartreplace
Source: BUILD\cspres.dll; DestDir: {sys}; Flags: restartreplace
Source: BUILD\clkcsp.sig; DestDir: {sys}
Source: BUILD\vcredist_x64.exe; DestDir: "{tmp}"


; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Run]


Filename: {tmp}\vcredist_x64.exe;  Parameters: "/q:a"; Flags: skipifdoesntexist; StatusMsg: "Installing Microsoft Visual C++ Redistributable Package"
Filename: {sys}\regsvr32 ; Parameters: "/s {sys}\clkcsp.dll" 

[UninstallRun]
Filename: {sys}\regsvr32 ; Parameters: "/u /s {sys}\clkcsp.dll"
[_ISTool]
OutputExeFilename=BUILD\coolkey-setup.exe
UseAbsolutePaths=false
LogFile=inst.log
LogFileAppend=false
[Registry]
Root: HKLM; Subkey: Software\Microsoft\Cryptography\Defaults\Provider\CoolKey PKCS #11 CSP; ValueType: string; ValueName: PKCS11Module; ValueData: coolkeypk11.dll; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Axalto Developer; ValueType: binary; ValueName: ATRMask; ValueData: ff ff ff ff ff ff ff ff 00 00; Flags: uninsdeletekey
Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Axalto Developer; ValueType: string; ValueName: Crypto Provider; ValueData: CoolKey PKCS #11 CSP
Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Axalto Developer; ValueType: binary; ValueName: ATR; ValueData: 3b 75 94 00 00 62 02 02 00 00

; Now register the Gemalto 64K V2
Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Gemalto 64K V2; ValueType: binary; ValueName: ATRMask; ValueData: ff ff 00 ff 00 ff ff ff 00 00; Flags: uninsdeletekey

Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Gemalto 64K V2; ValueType: string; ValueName: Crypto Provider; ValueData: CoolKey PKCS #11 CSP

Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Gemalto 64K V2; ValueType: binary; ValueName: ATR; ValueData: 3b 95 00 40 00 ae 01 03 00 00

; Now register the Safenet 330J 
Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Safenet 330J; ValueType: binary; ValueName: ATRMask; ValueData: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff 00 00; Flags: uninsdeletekey

Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Safenet 330J; ValueType: string; ValueName: Crypto Provider; ValueData: CoolKey PKCS #11 CSP

Root: HKLM; Subkey: Software\Microsoft\Cryptography\Calais\SmartCards\Safenet 330J; ValueType: binary; ValueName: ATR; ValueData: 3b ec 00 ff 81 31 fe 45 a0 00 00 00 56 33 33 30 4a 33 06 00 00


Root: HKLM; Subkey: Software\
; Turn off the "pick a cert" dialog box
Root: HKCU; Subkey: Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\3; ValueType: dword; ValueName: 1A04; ValueData: 0
; Enable TLS 1.0
Root: HKCU; Subkey: Software\Microsoft\Windows\CurrentVersion\Internet Settings; ValueType: dword; ValueName: SecureProtocols; ValueData: 168


Index: build.sh
===================================================================
RCS file: /cvs/dirsec/esc/win32/build.sh,v
retrieving revision 1.11
retrieving revision 1.11.2.1
diff -u -r1.11 -r1.11.2.1
--- build.sh	24 Jun 2009 23:17:50 -0000	1.11
+++ build.sh	8 Oct 2009 23:40:51 -0000	1.11.2.1
@@ -26,6 +26,8 @@
 
 ### CSP_PATH   -  Path to the directory containing the CSP if desired
 
+### USE_64     -  Are we trying to build the 64 bit version 
+
 NUM_ARGS=0
 ARG_COMMAND=
 
@@ -53,9 +55,14 @@
 ZLIB_NAME=zlib
 ZLIB_DLL=zlib1
 
+
+ZLIB_DLL_64=zlibwapi
 ZLIB_ARCHIVE=zlib123-dll
 ZLIB_BIN_URL=http://www.zlib.net
 
+ZLIB_ARCHIVE_64=zlib123dllx64
+ZLIB_BIN_URL_64=http://winimage.com/zLibDll
+
 #CoolKey values
 
 COOLKEY_NAME=coolkey
@@ -103,7 +110,7 @@
 
     echo "BUILDING NSS..."
 
-    if [ $NUM_ARGS -ne 0 ] && [ $THE_ARG != -doNSS ];
+    if [ $NUM_ARGS -ne 0 ] && [ $THE_ARG != -doNSS ] || [ $USE_64 == 1 ];
     then
         echo "Do not build NSS." 
         return 0
@@ -181,7 +188,14 @@
    ZLIB_INC_PATH=${BASE_DIR}/zlib/include
    ZLIB_LIB_PATH=${BASE_DIR}/zlib/lib
 
-   ZLIB_LIB_FLAGS=${BASE_DIR}/zlib/$ZLIB_DLL.dll
+
+   if [ $USE_64 == 1 ];
+   then
+     ZLIB_LIB_PATH=${BASE_DIR}/zlib/dll_x64
+     ZLIB_LIB_FLAGS=${BASE_DIR}/zlib/dll_x64/$ZLIB_DLL_64.dll
+   else
+     ZLIB_LIB_FLAGS=${BASE_DIR}/zlib/$ZLIB_DLL.dll
+   fi
 
    ZLIB_INC_PATH=`cygpath -m $ZLIB_INC_PATH`
    ZLIB_LIB_PATH=`cygpath -m $ZLIB_LIB_PATH`
@@ -198,7 +212,14 @@
    export ZLIB_LIB=$ZLIB_LIB_PATH
    export ZLIB_INCLUDE=$ZLIB_INC_PATH
 
-   ./configure  NSS_CFLAGS="$NSS_CFLAGS" NSS_LIBS="$NSS_LIBS"  --enable-pk11install 
+   if [ $USE_64 == 1 ];
+   then
+       PK11=
+   else
+       PK11=--enable-pk11install
+   fi
+
+   ./configure  NSS_CFLAGS="$NSS_CFLAGS" NSS_LIBS="$NSS_LIBS"  $PK11 
 
    if [ $? != 0 ];
    then
@@ -223,12 +244,21 @@
 
    cp -f coolkey/src/coolkey/.libs/libcoolkeypk11.dll BUILD/coolkeypk11.dll
    cp -f coolkey/src/libckyapplet/.libs/libckyapplet-1.dll BUILD
-   cp -f zlib/$ZLIB_DLL.dll BUILD
+
+   if [ $USE_64 == 1 ];
+   then
+      cp -f zlib/dll_x64/zlibwapi.dll BUILD
+   else
+      cp -f zlib/$ZLIB_DLL.dll BUILD
+   fi
 
 
    # Grab pk11install
 
-   cp -f coolkey/src/install/pk11install.exe BUILD
+   if [ $USE_64 != 1 ];
+   then
+      cp -f coolkey/src/install/pk11install.exe BUILD
+   fi
 
    export PATH=${ORIG_PATH}
    return 0
@@ -250,6 +280,29 @@
 
   cd $ZLIB_NAME
 
+  if [  $USE_64 == 1 ]
+  then
+   wget $ZLIB_BIN_URL_64/$ZLIB_ARCHIVE_64.zip
+
+   if [ $? != 0 ];
+   then
+     echo "Can't obtain zlib 64 bit bundle...."
+     return 1
+   fi
+
+   unzip $ZLIB_ARCHIVE_64.zip
+
+   if [ $? != 0 ];
+   then
+     echo "Can't obtain zlib 64 bit bundle...."
+   fi 
+
+   rm -f README.txt
+
+   cp dll_x64/zlibwapi.lib dll_x64/zdll.lib 
+
+  fi
+
   wget $ZLIB_BIN_URL/$ZLIB_ARCHIVE.zip
   if [ $? != 0 ];
   then
@@ -275,7 +328,7 @@
    echo "BUILDING ESC"
    cd $BASE_DIR
 
-   if [ $NUM_ARGS -ne 0 ] && [ $THE_ARG != -doEsc ];
+   if [ $NUM_ARGS -ne 0 ] && [ $THE_ARG != -doEsc ] || [ $USE_64 == 1 ];
    then
        echo "Do not build ESC."
        return 0
@@ -442,10 +495,11 @@
     then
         echo "NO MSVC path specified!"
         echo "Set environ var: MSVC_PATH ."
+        return 1
     fi
 
 
-    cp $MSVC_PATH/*.dll BUILD
+    cp $MSVC_PATH/* BUILD
 
     if [ $? != 0 ];
     then
@@ -456,30 +510,37 @@
     then
         echo "No Path to the INNO installer specified!"
         echo "Set environ var: INNO_PATH ."
-        return 0
+        return 1 
     fi
 
 
     #Move over extra files we don't keep in the open source world
 
-    cp esc-image-large.bmp BUILD/ESC/chrome/content/esc
+    if [ $USE_64 == 1 ];
+    then
+       INNO_SCRIPT=coolkey-64.iss
+    else
+        cp esc-image-large.bmp BUILD/ESC/chrome/content/esc
 
 
-     #Transport the nss files needed for pk11install.exe
+        #Transport the nss files needed for pk11install.exe
 
-    cp $NSS_LIB_PATH/softokn3.dll BUILD
-    cp $NSS_LIB_PATH/libplc4.dll BUILD
-    cp $NSS_LIB_PATH/libnspr4.dll BUILD
-    cp $NSS_LIB_PATH/libplds4.dll BUILD
+        cp $NSS_LIB_PATH/softokn3.dll BUILD
+        cp $NSS_LIB_PATH/libplc4.dll BUILD
+        cp $NSS_LIB_PATH/libnspr4.dll BUILD
+        cp $NSS_LIB_PATH/libplds4.dll BUILD
+
+        INNO_SCRIPT=setup.iss
+    fi
 
 
     # Build the INNO executable installer
 
-    "$INNO_PATH" setup.iss
+    "$INNO_PATH" $INNO_SCRIPT 
 
     if [ $? != 0 ];
     then
-        echo "Can't build final ESC installer...."
+        echo "Can't build final ESC/Coolkey installer...."
         return 1
     fi
 
@@ -548,7 +609,7 @@
     exit 1
 fi
 
-obtainEGATE
+#obtainEGATE
 
 if [ $? != 0 ];
 then
@@ -569,7 +630,7 @@
     exit 1
 fi
 
-buildCOOLKEY
+#buildCOOLKEY
 
 if [ $? != 0 ];
 then




More information about the Fedora-directory-commits mailing list